#include "memory/MemoryManager.h"
#include "sys/Syscall.h"
#include "video/TextConsole.h"

Result<u64> sys_console_print(Registers*, SyscallArgs args)
{
    if (!MemoryManager::validate_userspace_string(args[0])) return err(EFAULT);

    TextConsole::print((char*)args[0]);

    return { 0 };
}
